/// <reference types="react" />
import { ConfigType } from '../../app';
import Plugin from '../../plugins';
interface IProps {
    title: string;
    config: ConfigType;
    plugins: Plugin[];
    debugHooks?: string[];
    pageKey: string;
}
interface IPropsWithAPI extends IProps {
    pageAPI: string;
}
interface IPropsWithJSON extends IProps {
    pageJSON: any[];
}
export declare function isEntryPropsWithAPI(item: IPropsWithAPI | IPropsWithJSON): item is IPropsWithAPI;
export declare type EntryProps = IPropsWithAPI | IPropsWithJSON;
export default function Entry(props: EntryProps): JSX.Element;
export {};
