import React from 'react';
export declare type FormItem = {
    key: string;
    label: string;
    type?: string;
    meta?: {
        url: string;
        method: string;
        data?: {
            value: string;
            label: string;
        }[];
    };
};
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    items: (FormItem[]);
    meta: {
        url: string;
        method: string;
        filter?: string;
        modal?: string;
    };
    pageKey: string;
    formKey: string;
}
declare function Form(props: IProps): JSX.Element;
declare namespace Form {
    var defaultProps: {
        method: string;
    };
}
export default Form;
