import React from 'react';
export declare type TableColumn = {
    key: string;
    label: string;
    editable?: {
        [key: string]: any;
    };
    render?: {
        [key: string]: any;
    };
    id?: boolean;
};
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    meta: {
        url: string;
        data?: {
            [x: string]: any;
        };
        method: string;
    };
    columns: (TableColumn[]);
    pageKey: string;
    tableKey: string;
}
declare function Table(props: IProps): JSX.Element;
declare namespace Table {
    var defaultProps: {
        method: string;
    };
}
export default Table;
