import Entry, { EntryProps, isEntryPropsWithAPI } from './pages/Common/entry';
import { ConfigType, MenuItem, MenuGroup, isMenuGroup, AppHooks, PageSection } from './app';
import { AppProps } from './components/App';
import { TableColumn } from './components/Table';
import { FormItem } from './components/Form';
import Plugin from './plugins';
declare class Kitten {
    config: ConfigType;
    plugins: Plugin[];
    debugHooks?: string[];
    constructor(config: ConfigType, plugins: Plugin[], debugHooks?: string[]);
    render(renderer: {
        render: Function;
    }, dom: HTMLElement): void;
}
export { Kitten as default, Entry, Plugin, AppHooks, ConfigType, PageSection, MenuItem, MenuGroup, isMenuGroup, AppProps, EntryProps, isEntryPropsWithAPI, TableColumn, FormItem };
